Skip to content

List listing attributes

GET
/listings/attributes
curl --request GET \
--url https://acme.mykreezalid.com/api/v1/listings/attributes \
--header 'Authorization: Basic <credentials>'

Returns every listing attribute of your marketplace with its options. Use an attribute alias as a key of the listing attributes field.

Your listing attributes

Media typeapplication/json
object
attributes
Array<object>
object
id
integer
alias
string
title
string
sanitized_title

Title without markup

string
nullable
description
string
nullable
input_type

Kind of input, for example select, checkbox or boolean

string
value_type
string
nullable
required
boolean
options

Possible values, for select and checkbox attributes

Array<object>
object
id
integer
alias
string
title
string
attribute_id
integer

Example

{
"attributes": [
{
"id": 4242,
"alias": "color",
"title": "Color",
"input_type": "select",
"options": [
{
"id": 4243,
"alias": "blue",
"title": "Blue",
"attribute_id": 4242
}
]
}
]
}

Missing or wrong API credentials